Zombie = {
	Description = "Zombie",

	Char	= "Z",

	HP		= 2,

	AttackRating  = 40,
	DefenseRating = 30,

	Inventory = {
		Weapon = { MinDamage = 1, DamageRange = 3 },
		Armor  = { MinArmor  = 1,  ArmorRange = 0 }
	},

	Level	= 1,
}

function Zombie:Update()
	UpdateMonster( self )
end

function Zombie:BumpInto()
	CalculateDamage( Hero, self )

	SyncObject( Hero )
end

function Zombie:Death()
	PrintLog( "The Zombie moans and dies. His body parts scatter everywhere. What a mess!" )

	DropItems( self )

	CalculateExp( self )
end
